Commit d7f2a9f5 authored by Rocky Automation's avatar Rocky Automation 📺
Browse files

import dotnet3.1-3.1.115-1.el8_4

parent ed031a59
...@@ -50,64 +50,63 @@ ...@@ -50,64 +50,63 @@
%if 0%{?fedora} %if 0%{?fedora}
%global runtime_id fedora.%{fedora}-%{runtime_arch} %global runtime_id fedora.%{fedora}-%{runtime_arch}
%else %else
%if 0%{?rocky} %if 0%{?centos}
%global runtime_id rocky.%{rocky}-%{runtime_arch} %global runtime_id centos.%{centos}-%{runtime_arch}
%else %else
%global runtime_id rhel.%{rhel}-%{runtime_arch} %global runtime_id rhel.%{rhel}-%{runtime_arch}
%endif %endif
%endif %endif
Name: dotnet3.1 Name: dotnet3.1
Version: %{sdk_rpm_version} Version: %{sdk_rpm_version}
Release: 1%{?dist}.rocky.1 Release: 1%{?dist}
Summary: .NET Core CLI tools and runtime Summary: .NET Core CLI tools and runtime
License: MIT and ASL 2.0 and BSD License: MIT and ASL 2.0 and BSD
URL: https://github.com/dotnet/ URL: https://github.com/dotnet/
# ./build-dotnet-tarball dotnet-v%%{sdk_version}-SDK # ./build-dotnet-tarball dotnet-v%%{sdk_version}-SDK
Source0: dotnet-v%{sdk_version}-SDK.tar.gz Source0: dotnet-v%{sdk_version}-SDK.tar.gz
#Source1: dotnet-v%%{sdk_version}-SDK-rhel.8-arm64.tar.gz #Source1: dotnet-v%%{sdk_version}-SDK-rhel.8-arm64.tar.gz
Source100: check-debug-symbols.py Source100: check-debug-symbols.py
Source101: dotnet.sh.in Source101: dotnet.sh.in
Patch100: corefx-optflags-support.patch Patch100: corefx-optflags-support.patch
Patch103: corefx-39633-cgroupv2-mountpoints.patch Patch103: corefx-39633-cgroupv2-mountpoints.patch
Patch104: corefx-hardening-flags.patch Patch104: corefx-hardening-flags.patch
Patch200: coreclr-27048-sysctl-deprecation.patch Patch200: coreclr-27048-sysctl-deprecation.patch
Patch201: coreclr-hardening-flags.patch Patch201: coreclr-hardening-flags.patch
Patch202: coreclr-libunwind-fno-common.patch Patch202: coreclr-libunwind-fno-common.patch
Patch300: core-setup-do-not-strip.patch Patch300: core-setup-do-not-strip.patch
Patch301: core-setup-hardening-flags.patch Patch301: core-setup-hardening-flags.patch
Patch500: cli-telemetry-optout.patch Patch500: cli-telemetry-optout.patch
Patch501: core-rocky-rid.patch
ExclusiveArch: x86_64 ExclusiveArch: x86_64
BuildRequires: clang BuildRequires: clang
BuildRequires: cmake BuildRequires: cmake
BuildRequires: coreutils BuildRequires: coreutils
BuildRequires: git BuildRequires: git
%if 0%{?fedora} || 0%{?rhel} > 7 %if 0%{?fedora} || 0%{?rhel} > 7
BuildRequires: glibc-langpack-en BuildRequires: glibc-langpack-en
%endif %endif
BuildRequires: hostname BuildRequires: hostname
BuildRequires: krb5-devel BuildRequires: krb5-devel
BuildRequires: libcurl-devel BuildRequires: libcurl-devel
BuildRequires: libicu-devel BuildRequires: libicu-devel
%if ! %{use_bundled_libunwind} %if ! %{use_bundled_libunwind}
BuildRequires: libunwind-devel BuildRequires: libunwind-devel
%endif %endif
BuildRequires: lldb-devel BuildRequires: lldb-devel
BuildRequires: llvm BuildRequires: llvm
BuildRequires: lttng-ust-devel BuildRequires: lttng-ust-devel
BuildRequires: openssl-devel BuildRequires: openssl-devel
BuildRequires: python3 BuildRequires: python3
BuildRequires: tar BuildRequires: tar
BuildRequires: zlib-devel BuildRequires: zlib-devel
%description %description
.NET Core is a fast, lightweight and modular platform for creating .NET Core is a fast, lightweight and modular platform for creating
...@@ -123,10 +122,10 @@ application to drive everything. ...@@ -123,10 +122,10 @@ application to drive everything.
%package -n dotnet %package -n dotnet
Version: %{sdk_rpm_version} Version: %{sdk_rpm_version}
Summary: .NET Core CLI tools and runtime Summary: .NET Core CLI tools and runtime
Requires: dotnet-sdk-3.1%{?_isa} >= %{sdk_rpm_version}-%{release} Requires: dotnet-sdk-3.1%{?_isa} >= %{sdk_rpm_version}-%{release}
%description -n dotnet %description -n dotnet
.NET Core is a fast, lightweight and modular platform for creating .NET Core is a fast, lightweight and modular platform for creating
...@@ -142,8 +141,8 @@ application to drive everything. ...@@ -142,8 +141,8 @@ application to drive everything.
%package -n dotnet-host %package -n dotnet-host
Version: %{host_rpm_version} Version: %{host_rpm_version}
Summary: .NET command line launcher Summary: .NET command line launcher
%description -n dotnet-host %description -n dotnet-host
The .NET Core host is a command line program that runs a standalone The .NET Core host is a command line program that runs a standalone
...@@ -158,12 +157,12 @@ applications and micro-services. ...@@ -158,12 +157,12 @@ applications and micro-services.
%package -n dotnet-hostfxr-3.1 %package -n dotnet-hostfxr-3.1
Version: %{host_rpm_version} Version: %{host_rpm_version}
Summary: .NET Core command line host resolver Summary: .NET Core command line host resolver
# Theoretically any version of the host should work. But lets aim for the one # Theoretically any version of the host should work. But lets aim for the one
# provided by this package, or from a newer version of .NET Core # provided by this package, or from a newer version of .NET Core
Requires: dotnet-host%{?_isa} >= %{host_rpm_version}-%{release} Requires: dotnet-host%{?_isa} >= %{host_rpm_version}-%{release}
%description -n dotnet-hostfxr-3.1 %description -n dotnet-hostfxr-3.1
The .NET Core host resolver contains the logic to resolve and select The .NET Core host resolver contains the logic to resolve and select
...@@ -178,16 +177,16 @@ applications and micro-services. ...@@ -178,16 +177,16 @@ applications and micro-services.
%package -n dotnet-runtime-3.1 %package -n dotnet-runtime-3.1
Version: %{runtime_rpm_version} Version: %{runtime_rpm_version}
Summary: NET Core 3.1 runtime Summary: NET Core 3.1 runtime
Requires: dotnet-hostfxr-3.1%{?_isa} >= %{host_rpm_version}-%{release} Requires: dotnet-hostfxr-3.1%{?_isa} >= %{host_rpm_version}-%{release}
# libicu is dlopen()ed # libicu is dlopen()ed
Requires: libicu Requires: libicu
%if %{use_bundled_libunwind} %if %{use_bundled_libunwind}
Provides: bundled(libunwind) = 1.3 Provides: bundled(libunwind) = 1.3
%endif %endif
%description -n dotnet-runtime-3.1 %description -n dotnet-runtime-3.1
...@@ -204,10 +203,10 @@ applications and micro-services. ...@@ -204,10 +203,10 @@ applications and micro-services.
%package -n aspnetcore-runtime-3.1 %package -n aspnetcore-runtime-3.1
Version: %{aspnetcore_runtime_rpm_version} Version: %{aspnetcore_runtime_rpm_version}
Summary: ASP.NET Core 3.1 runtime Summary: ASP.NET Core 3.1 runtime
Requires: dotnet-runtime-3.1%{?_isa} >= %{runtime_rpm_version}-%{release} Requires: dotnet-runtime-3.1%{?_isa} >= %{runtime_rpm_version}-%{release}
%description -n aspnetcore-runtime-3.1 %description -n aspnetcore-runtime-3.1
The ASP.NET Core runtime contains everything needed to run .NET Core The ASP.NET Core runtime contains everything needed to run .NET Core
...@@ -223,12 +222,12 @@ applications and micro-services. ...@@ -223,12 +222,12 @@ applications and micro-services.
%package -n dotnet-templates-3.1 %package -n dotnet-templates-3.1
Version: %{sdk_rpm_version} Version: %{sdk_rpm_version}
Summary: .NET Core 3.1 templates Summary: .NET Core 3.1 templates
# Theoretically any version of the host should work. But lets aim for the one # Theoretically any version of the host should work. But lets aim for the one
# provided by this package, or from a newer version of .NET Core # provided by this package, or from a newer version of .NET Core
Requires: dotnet-host%{?_isa} >= %{host_rpm_version}-%{release} Requires: dotnet-host%{?_isa} >= %{host_rpm_version}-%{release}
%description -n dotnet-templates-3.1 %description -n dotnet-templates-3.1
This package contains templates used by the .NET Core SDK. This package contains templates used by the .NET Core SDK.
...@@ -242,18 +241,18 @@ applications and micro-services. ...@@ -242,18 +241,18 @@ applications and micro-services.
%package -n dotnet-sdk-3.1 %package -n dotnet-sdk-3.1
Version: %{sdk_rpm_version} Version: %{sdk_rpm_version}
Summary: .NET Core 3.1 Software Development Kit Summary: .NET Core 3.1 Software Development Kit
Requires: dotnet-runtime-3.1%{?_isa} >= %{runtime_rpm_version}-%{release} Requires: dotnet-runtime-3.1%{?_isa} >= %{runtime_rpm_version}-%{release}
Requires: aspnetcore-runtime-3.1%{?_isa} >= %{aspnetcore_runtime_rpm_version}-%{release} Requires: aspnetcore-runtime-3.1%{?_isa} >= %{aspnetcore_runtime_rpm_version}-%{release}
Requires: dotnet-apphost-pack-3.1%{?_isa} >= %{runtime_rpm_version}-%{release} Requires: dotnet-apphost-pack-3.1%{?_isa} >= %{runtime_rpm_version}-%{release}
Requires: dotnet-targeting-pack-3.1%{?_isa} >= %{runtime_rpm_version}-%{release} Requires: dotnet-targeting-pack-3.1%{?_isa} >= %{runtime_rpm_version}-%{release}
Requires: aspnetcore-targeting-pack-3.1%{?_isa} >= %{aspnetcore_runtime_rpm_version}-%{release} Requires: aspnetcore-targeting-pack-3.1%{?_isa} >= %{aspnetcore_runtime_rpm_version}-%{release}
Requires: netstandard-targeting-pack-2.1%{?_isa} >= %{sdk_rpm_version}-%{release} Requires: netstandard-targeting-pack-2.1%{?_isa} >= %{sdk_rpm_version}-%{release}
Requires: dotnet-templates-3.1%{?_isa} >= %{sdk_rpm_version}-%{release} Requires: dotnet-templates-3.1%{?_isa} >= %{sdk_rpm_version}-%{release}
%description -n dotnet-sdk-3.1 %description -n dotnet-sdk-3.1
The .NET Core SDK is a collection of command line applications to The .NET Core SDK is a collection of command line applications to
...@@ -269,10 +268,10 @@ applications and micro-services. ...@@ -269,10 +268,10 @@ applications and micro-services.
%define dotnet_targeting_pack() %{expand: %define dotnet_targeting_pack() %{expand:
%package -n %{1} %package -n %{1}
Version: %{2} Version: %{2}
Summary: Targeting Pack for %{3} %{4} Summary: Targeting Pack for %{3} %{4}
Requires: dotnet-host Requires: dotnet-host
%description -n %{1} %description -n %{1}
This package provides a targetting pack for %{3} %{4} This package provides a targetting pack for %{3} %{4}
...@@ -337,7 +336,6 @@ cat source-build-info.txt ...@@ -337,7 +336,6 @@ cat source-build-info.txt
find -iname 'nuget.config' -exec echo {}: \; -exec cat {} \; -exec echo \; find -iname 'nuget.config' -exec echo {}: \; -exec cat {} \; -exec echo \;
%patch501 -p1
%build %build
cat /etc/os-release cat /etc/os-release
...@@ -453,9 +451,6 @@ rm -rf %{buildroot}%{_libdir}/dotnet/packs/NETStandard.Library.Ref/2.1.0 ...@@ -453,9 +451,6 @@ rm -rf %{buildroot}%{_libdir}/dotnet/packs/NETStandard.Library.Ref/2.1.0
%dir %{_libdir}/dotnet/packs %dir %{_libdir}/dotnet/packs
%changelog %changelog
* Sat May 29 2021 Louis Abel <label@rockylinux.org> - 3.1.115-1.rocky.1
- Add Rocky Runtime ID with minor numbers
* Wed Apr 28 2021 Omair Majid <omajid@redhat.com> - 3.1.115-1 * Wed Apr 28 2021 Omair Majid <omajid@redhat.com> - 3.1.115-1
- Update to .NET SDK 3.1.115 and Runtime 3.1.15 - Update to .NET SDK 3.1.115 and Runtime 3.1.15
- Resolves: RHBZ#1954333 - Resolves: RHBZ#1954333
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment